<?php
namespace nur\sery\file;

use nur\sery\ValueException;

class SharedFile extends FileWriter {
  const USE_LOCKING = true;

  const DEFAULT_MODE = "c+b";

  function __construct($file, ?string $mode=null, ?bool $throwOnError=null, ?bool $allowLocking=null) {
    if ($file === null) throw ValueException::null("file");
    parent::__construct($file, $mode, $throwOnError, $allowLocking);
  }
}
